<?php // translation revised and updated on May 14. 2008 by Helmuth Mikkelsen
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   Danish translation by Helmuth Mikkelsen                               *
 *   helmuthm@gmail.com                                                    *
 *   And by Yxos                                                           *
 *   geismar@gmail.com                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Begivenheder";
$locale['EC002'] = "Henvisning";
$locale['EC003'] = "Advarsel";
$locale['awec_no_events'] = 'Ingen begivenheder.';
$locale['EC005'] = "Om...";
$locale['EC006'] = "Vil du slette?";
$locale['EC007'] = "Mine";
$locale['EC008'] = "Registreringer";
$locale['EC009'] = "Mned";
$locale['EC010'] = "r";
$locale['EC011'] = "Sg";
//
$locale['EC013'] = "Nye begivenheder";
$locale['awec_user_birthday']	= '%s fdselsdag';
$locale['awec_user']		= 'Bruger fdselsdag';
$locale['awec_link']		= 'Link til begivenhed';


// edit_event.php
$locale['EC100'] = "Ny begivenhed";
$locale['EC101'] = "Rediger begivenhed";
$locale['EC102'] = "Til begivenhed";
$locale['EC103'] = "Titel";
$locale['EC104'] = "Beskrivelse";
$locale['awec_date']	= 'Dato';
$locale['awec_beginn']	= 'Fra';
$locale['awec_end']	= 'Til';
$locale['EC106'] = "Valg";
$locale['EC107'] = "Gentag";
$locale['EC108'] = "Privat begivenhed";
$locale['EC109'] = "Tillad tilmelding til begivenhed";
$locale['EC110'] = "Tilmeldinger maksimalt (0 for uendelig)";
$locale['EC110_1'] = "0 for uendelig";
$locale['EC111'] = "Gem";
$locale['EC112'] = "Deaktiver smileys";
$locale['EC113'] = array(
	0		=> "Begivenhed er opdateret!",
	EC_ELOGIN	=> "Man kan ikke tilmelde sig private begivenheder.",
	EC_EDB		=> "Databasefejl under opdatering.",
	EC_ESTATUS	=> "Denne begivenhed mangler nu kun godkendelse af en administrator.",
	EC_EACCESS	=> "Til private begivenheder er adgangsniveauet irrelevant.",
	EC_EIMG		=> "Ugyldig billed upload.",
	EC_EDATE	=> "Ugyldig dato",
);
$locale['EC114'] = "Tilmeldelse til denne begivenhed ikke (lngere) mulig.";
$locale['EC115'] = array(
	1 => "Maksimalt antal mulige tilmeldinger opnet.",
	2 => "Ugyldig vrdi i status tilmelding.",
	3 => "Kunne ikke oprette status tilmelding.",
	4 => "Ingen modtager oplyst.",
);
$locale['EC116'] = "Synlighed";
//$locale['EC117'] = "";
$locale['awec_mandatory'] = "* krvede felter<br>";
$locale['awec_break']	= "** Teksten efter %s, bliver ikke vist i sideelementet. P den mde undgr du et overfyldt sideelement.";
$locale['EC119'] = "Udfyld venligst alle krvede felter (*)!";
$locale['awec_date_fmt']	= 'Dag.Mned.r Time:Minutter';
$locale['awec_time_fmt']	= 'Timer:Minutter';
$locale['EC121'] = "Billede";
$locale['EC122'] = "vrigt";
$locale['EC123'] = "Slut";
$locale['EC124'] = "Tillad kun registreringer i denne tidsperiode.";
$locale['EC125'] = array(
	0 => "---",
	1 => "rligt",
	2 => "Mnedligt",
	4 => "Ugentligt",
);


// aw_ecal_panel.php
$locale['EC200'] = "Opret ny begivenhed";
$locale['EC201'] = "I dag";
$locale['EC202'] = "I morgen";
$locale['EC203'] = "Der er nye begivenheder til godkendelse!";
$locale['EC204'] = "Mine begivenheder";
$locale['EC205'] = "Fdselsdage";
$locale['EC206'] = "Mine registreringer";
$locale['EC207'] = "[mere]";
$locale['EC208'] = "Nste %s dage";
$locale['EC209'] = array(
	'today'		=> 'I dag',
	'tomorrow'	=> 'I morgen',
	'others'	=> 'Flere ...',
);


// view_event.php
$locale['EC300'] = "Begivenhed";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Advarsel! Bruger er ikke i databasen.";
$locale['EC303'] = "Ukendt";
$locale['EC304'] = "Rediger";
$locale['EC305'] = "Slet";
$locale['EC306'] = "Offentliggr";
$locale['EC307'] = "Deaktiver";
//EC308
$locale['EC309'] = array(
	0 => "Du er ikke tilmeldt til denne begivenhed.",
	1 => "Endegyldigt tilmeldt",
	2 => "Forelbig tilmeldt",
	3 => "Afmeldt",
	4 => "Inviteret",
);
$locale['EC310'] = array(
	1 => "Endegyldig tilmelding",
	2 => "Forelbig tilmelding",
	3 => "Afmeld",
);
$locale['EC311'] = "Din aktuelle status:";
$locale['EC312'] = "Kommentar";
$locale['EC313'] = "Send mail";
$locale['EC314'] = "Send mail til hver enkelt bruger";
$locale['EC315'] = "Send n mail til alle";
$locale['EC316'] = "Send";
$locale['EC317'] = "Noget indholdstekst ville vre fint. Tak!";
$locale['EC318'] = "Ingen modtagere valgt. Ret det venligst!";
$locale['EC319'] = "Alle";
$locale['EC320'] = "Mail(s) er afsendt!";
$locale['EC321'] = "HTML-format";
$locale['EC322'] = "Invitr";
$locale['EC323'] = "Benyt CTRL-/SHIFT til at vlge flere brugere";
$locale['EC324'] = 'Send PB';
$locale['awec_invite_title']	= 'Invitation';
$locale['awec_invite_body']	= 'Du er blevet inviteret.';


// calendar.php
$locale['EC400'] = "Kalender";
$locale['EC401'] = "Fdselsdage i denne mned";
$locale['EC402'] = "Se";
$locale['awec_month_view'] = array(
	'calendar'	=> 'Kalender',
	'list'		=> 'Liste',
);


// browse.php
$locale['EC450'] = "r";
$locale['EC451'] = "Vis";


// new_events.php
$locale['EC500'] = "Nye begivenheder";
$locale['EC501'] = "Der skal ikke frigives nogen begivenheder.";
$locale['EC502'] = array(
	1 => "Begivenheden kunne ikke frigives, da den i mellemtiden er blevet ndret. Venligst bedm den igen!",
);


// search.php
$locale['EC550'] = "Sg efter";
$locale['EC551'] = array(
	"AND"	=> "Alle sgeord",
	"OR"	=> "Mindst et sgeord",
	"-"	=> "Hele udtrykket",
);
$locale['EC552'] = "Begivenheder fundet.";
$locale['EC553'] = "Valg";
$locale['EC554'] = "Sgeteksten skal vre p mindst 3 karakterer";


// my_events.php
$locale['EC600'] = "Mine begivenheder";
$locale['EC601'] = "Du har endnu ikke oprettet nogle begivenheder.";
$locale['EC602'] = array(
	0	=> "Andre",
	1	=> "Privat",
);


// admin.php
$locale['EC700'] = "Indstillinger";
$locale['EC701'] = "Administratorgruppe";
$locale['EC702'] = "Godkendelse af nye begivenheder af administratorgruppen";
$locale['EC703'] = "Begivenheder kan oprettes af";
$locale['EC704'] = "Vis dagens begivenheder fuldt ud i side-element.";
$locale['awec705'] = "Behandl fdselsdage som begivenheder.";
$locale['EC706'] = "Vis fdselsdage for";
$locale['EC711'] = "Datoformat";
$locale['EC712'] = "Fdselsdage";
$locale['EC713'] = "Standard";
$locale['EC714'] = "Anvendes kun, nr det ikke er specificeret i temaet.";
$locale['EC715'] = "Slet begivenheder";
$locale['EC716'] = "Slet alle begivenheder ldre end det specificerede antal dage.";
$locale['EC716_']	= 'Gentagne begivenheder vil ikke blive slettet!';
$locale['EC717'] = array(
	0	=> "Gemt",
	1	=> "Gamle begivenheder slettet!",
);
$locale['EC718'] = "begivenheder vil blive slettet";
$locale['EC719'] = "%d - Dag i mneden, numerisk (00..31)
%m - Mned, numerisk (00..12)
%Y - r, numerisk, fire tegn
%H - timer
%i - minutter
F mere information om formatering med funktionen DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Her</a>";
$locale['EC720'] = "Se";
$locale['EC721'] = "Dage";
$locale['EC722'] = "Antal dage i side-element";
$locale['EC723'] = "Uge begynder med Sndag";
$locale['EC724'] = "Side-element";
$locale['EC725'] = "Bliver understttet:";
$locale['EC726'] = 'Tid';
$locale['awec_default_month_view']	= 'Standard mnedsvisning';
$locale['awec_custom_css']		= 'Brugertilpasset CSS (ls README)';
$locale['awec_alt_side_calendar']	= 'Alternativ Side-Calendar'; 

// admin/misc.php
$locale['EC750'] = "Diverse";
$locale['awec_old_events']	= 'Afsluttede begivenheder'; 

// include/db_update.php
$locale['EC800'] = "Opdatering tilgngelig";
$locale['EC801'] = "Flgende SQL statements vil blive udfrt";
$locale['EC802'] = "Start opdatering ...";
//
$locale['EC804'] = "Frdig - Fortst!";
$locale['EC805'] = "OK";
$locale['EC806'] = "Fejl";


// others
$locale['EC900'] = array(
	0 => "December",
	1 => "Januar",
	2 => "Februar",
	3 => "Marts",
	4 => "April",
	5 => "Maj",
	6 => "Juni",
	7 => "Juli",
	8 => "August",
	9 => "September",
	10 => "Oktober",
	11 => "November",
	12 => "December",
);
$locale['EC901'] = array(
	0 => 'S',
	1 => 'Ma',
	2 => 'Ti',
	3 => 'On',
	4 => 'To',
	5 => 'Fr',
	6 => 'L',
	7 => 'S',
);
?>
